Bug 429939 - System Settings crashed while attempting to download a theme
Summary: System Settings crashed while attempting to download a theme
Status: RESOLVED FIXED
Alias: None
Product: frameworks-attica
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: 5.77.0
Platform: OpenSUSE Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Dan Leinir Turthra Jensen
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2020-12-02 18:44 UTC by Michal Kuncl
Modified: 2020-12-18 09:10 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.78


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michal Kuncl 2020-12-02 18:44:58 UTC
Application: systemsettings5 (5.20.2)

Qt Version: 5.15.2
Frameworks Version: 5.76.0
Operating System: Linux 5.9.11-1-default x86_64
Windowing system: X11
Distribution: "openSUSE Tumbleweed"

-- Information about the crash:
- What I was doing when the application crashed:
- opened System settings
- clicked Appearance/Look and feel
- clicked Get new themes button
- selected sort by most downloaded from drop down menu
- crash happened :-(

-- Backtrace:
Application: Nastavení systému (systemsettings5), signal: Segmentation fault

[New LWP 5363]
[New LWP 5364]
[New LWP 5365]
[New LWP 5366]
[New LWP 5367]
[New LWP 5368]
[New LWP 5369]
[New LWP 5370]
[New LWP 5371]
[New LWP 5372]
[New LWP 5373]
[New LWP 5374]
[New LWP 5375]
[New LWP 5376]
[New LWP 5377]
[New LWP 5378]
[New LWP 5379]
[New LWP 5380]
[New LWP 5381]
[New LWP 5382]
[New LWP 5395]
[New LWP 5397]
[New LWP 5399]
[New LWP 5400]
[New LWP 5401]
[New LWP 5403]
[New LWP 5412]
[New LWP 5414]
[New LWP 5419]
[New LWP 5421]
[New LWP 5422]
[New LWP 5430]
[New LWP 5431]
[New LWP 5432]
[New LWP 5451]
[New LWP 5452]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
0x00007f39c745e83f in poll () from /lib64/libc.so.6
[Current thread is 1 (Thread 0x7f39c4b34840 (LWP 5361))]

Thread 37 (Thread 0x7f38e2ffd640 (LWP 5452)):
#0  0x00007f39c745a25c in read () at /lib64/libc.so.6
#1  0x00007f39c564c44f in  () at /usr/lib64/libglib-2.0.so.0
#2  0x00007f39c55ff98a in g_main_context_check () at /usr/lib64/libglib-2.0.so.0
#3  0x00007f39c55fffb5 in  () at /usr/lib64/libglib-2.0.so.0
#4  0x00007f39c560012f in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#5  0x00007f39c7a427fb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f38d4000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007f39c79e9c4b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f38e2ffcc80, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#7  0x00007f39c7808d0e in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#8  0x00007f39c6d3ff26 in  () at /usr/lib64/libQt5Quick.so.5
#9  0x00007f39c7809e51 in QThreadPrivate::start(void*) (arg=0x56331445ca00) at thread/qthread_unix.cpp:329
#10 0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#11 0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 36 (Thread 0x7f38e37fe640 (LWP 5451)):
#0  0x00007f39c746434d in syscall () at /lib64/libc.so.6
#1  0x00007f39c780a175 in QtLinuxFutex::_q_futex(int*, int, int, unsigned long long, int*, int) (val3=0, addr2=0x0, val2=0, val=3, op=0, addr=0x7f39c7cdc1a8 <_q_ObjectMutexPool+328>) at thread/qfutex_p.h:133
#2  QtLinuxFutex::futexWait<QBasicAtomicPointer<QMutexData> >(QBasicAtomicPointer<QMutexData>&, QBasicAtomicPointer<QMutexData>::Type) (expectedValue=0x3, futex=...) at thread/qfutex_p.h:135
#3  lockInternal_helper<false> (timeout=-1, elapsedTimer=0x0, d_ptr=..., d_ptr@entry=<error reading variable: Cannot access memory at address 0xffffffffffffff93>) at thread/qmutex_linux.cpp:142
#4  QBasicMutex::lockInternal() (this=this@entry=0x7f39c7cdc1a8 <_q_ObjectMutexPool+328>) at thread/qmutex_linux.cpp:159
#5  0x00007f39c7a16fc4 in QBasicMutex::lock() (this=0x7f39c7cdc1a8 <_q_ObjectMutexPool+328>) at ../../include/QtCore/../../src/corelib/thread/qmutex.h:81
#6  QBasicMutexLocker::QBasicMutexLocker(QBasicMutex*) (m=0x7f39c7cdc1a8 <_q_ObjectMutexPool+328>, this=<synthetic pointer>) at ../../include/QtCore/5.15.2/QtCore/private/../../../../../src/corelib/thread/qorderedmutexlocker_p.h:128
#7  queued_activate(QObject*, int, QObjectPrivate::Connection*, void**) (sender=0x563314417870, signal=7, c=0x563314843bd0, argv=0x7f38e37fc4e0) at kernel/qobject.cpp:3725
#8  0x00007f39c7a21805 in doActivate<false>(QObject*, int, void**) (sender=0x563314417870, signal_index=7, argv=0x7f38e37fc4e0) at /usr/include/c++/10/bits/atomic_base.h:776
#9  0x00007f39c64ecd15 in  () at /usr/lib64/libQt5Network.so.5
#10 0x00007f39c646d50c in  () at /usr/lib64/libQt5Network.so.5
#11 0x00007f39c7a218a0 in doActivate<false>(QObject*, int, void**) (sender=0x7f38d0012a00, signal_index=3, argv=0x7f38e37fc5d0) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:395
#12 0x00007f39c6463b11 in  () at /usr/lib64/libQt5Network.so.5
#13 0x00007f39c7a218a0 in doActivate<false>(QObject*, int, void**) (sender=0x7f38d0012970, signal_index=16, argv=0x7f38e37fc710) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:395
#14 0x00007f39c64d9d8f in  () at /usr/lib64/libQt5Network.so.5
#15 0x00007f39c64dfb2b in  () at /usr/lib64/libQt5Network.so.5
#16 0x00007f39c64e00e6 in  () at /usr/lib64/libQt5Network.so.5
#17 0x00007f39c7a218a0 in doActivate<false>(QObject*, int, void**) (sender=0x7f38d00129e0, signal_index=3, argv=0x7f38e37fd980) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:395
#18 0x00007f39c64a3adf in  () at /usr/lib64/libQt5Network.so.5
#19 0x00007f39c64b6901 in  () at /usr/lib64/libQt5Network.so.5
#20 0x00007f39c868950f in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=<optimized out>, receiver=0x7f38d0012850, e=0x7f38e37fdab0) at kernel/qapplication.cpp:3632
#21 0x00007f39c79eb28a in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x7f38d0012850, event=0x7f38e37fdab0) at ../../include/QtCore/5.15.2/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:325
#22 0x00007f39c7a43395 in socketNotifierSourceDispatch(GSource*, GSourceFunc, gpointer) (source=0x7f38d0003bc0) at kernel/qeventdispatcher_glib.cpp:107
#23 0x00007f39c55ffcf7 in g_main_context_dispatch () at /usr/lib64/libglib-2.0.so.0
#24 0x00007f39c5600078 in  () at /usr/lib64/libglib-2.0.so.0
#25 0x00007f39c560012f in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#26 0x00007f39c7a427fb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f38d0000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#27 0x00007f39c79e9c4b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f38e37fdcc0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#28 0x00007f39c7808d0e in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#29 0x00007f39c7809e51 in QThreadPrivate::start(void*) (arg=0x563314c7d440) at thread/qthread_unix.cpp:329
#30 0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#31 0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 35 (Thread 0x7f38e3fff640 (LWP 5432)):
#0  0x00007f39c745a25c in read () at /lib64/libc.so.6
#1  0x00007f39c564c44f in  () at /usr/lib64/libglib-2.0.so.0
#2  0x00007f39c55ff98a in g_main_context_check () at /usr/lib64/libglib-2.0.so.0
#3  0x00007f39c55fffb5 in  () at /usr/lib64/libglib-2.0.so.0
#4  0x00007f39c560036b in g_main_loop_run () at /usr/lib64/libglib-2.0.so.0
#5  0x00007f3902f3b906 in  () at /usr/lib64/libgio-2.0.so.0
#6  0x00007f39c562913e in  () at /usr/lib64/libglib-2.0.so.0
#7  0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#8  0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 34 (Thread 0x7f38f88b2640 (LWP 5431)):
#0  0x00007f39c745a25c in read () at /lib64/libc.so.6
#1  0x00007f39c564c44f in  () at /usr/lib64/libglib-2.0.so.0
#2  0x00007f39c55ff98a in g_main_context_check () at /usr/lib64/libglib-2.0.so.0
#3  0x00007f39c55fffb5 in  () at /usr/lib64/libglib-2.0.so.0
#4  0x00007f39c560012f in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#5  0x00007f39c5600181 in  () at /usr/lib64/libglib-2.0.so.0
#6  0x00007f39c562913e in  () at /usr/lib64/libglib-2.0.so.0
#7  0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#8  0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 33 (Thread 0x7f3900b2c640 (LWP 5430)):
#0  0x00007f39c5fd36b2 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f39ba9ff30b in  () at /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f39ba9fe7c7 in  () at /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 32 (Thread 0x7f3901b2e640 (LWP 5422)):
#0  0x00007f39c746434d in syscall () at /lib64/libc.so.6
#1  0x00007f39c780c091 in QtLinuxFutex::_q_futex(int*, int, int, unsigned long long, int*, int) (val3=0, addr2=0x0, val2=0, val=<optimized out>, op=0, addr=<optimized out>) at thread/qfutex_p.h:133
#2  QtLinuxFutex::futexWait<QBasicAtomicInteger<unsigned int> >(QBasicAtomicInteger<unsigned int>&, QBasicAtomicInteger<unsigned int>::Type) (expectedValue=<optimized out>, futex=...) at thread/qfutex_p.h:135
#3  futexSemaphoreTryAcquire_loop<false>(QBasicAtomicInteger<unsigned long long>&, unsigned long long, unsigned long long, int) (timeout=-1, nn=8589934593, curValue=<optimized out>, u=...) at thread/qsemaphore.cpp:219
#4  futexSemaphoreTryAcquire<false>(QBasicAtomicInteger<unsigned long long>&, int, int) (timeout=-1, n=<optimized out>, u=...) at thread/qsemaphore.cpp:262
#5  QSemaphore::acquire(int) (this=0x7f39c6550920, n=<optimized out>) at thread/qsemaphore.cpp:326
#6  0x00007f39c649f934 in  () at /usr/lib64/libQt5Network.so.5
#7  0x00007f39c7809e51 in QThreadPrivate::start(void*) (arg=0x7f39c6550900) at thread/qthread_unix.cpp:329
#8  0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#9  0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 31 (Thread 0x7f390232f640 (LWP 5421)):
#0  0x00007f39c745e83f in poll () at /lib64/libc.so.6
#1  0x00007f39c560000e in  () at /usr/lib64/libglib-2.0.so.0
#2  0x00007f39c560012f in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#3  0x00007f39c7a427fb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f38ec000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f39c79e9c4b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f390232ecc0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#5  0x00007f39c7808d0e in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#6  0x00007f39c7809e51 in QThreadPrivate::start(void*) (arg=0x563314122af0) at thread/qthread_unix.cpp:329
#7  0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#8  0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 30 (Thread 0x7f39037fe640 (LWP 5419)):
#0  0x00007f39c745e83f in poll () at /lib64/libc.so.6
#1  0x00007f39c560000e in  () at /usr/lib64/libglib-2.0.so.0
#2  0x00007f39c560012f in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#3  0x00007f39c7a427fb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f38f4000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007f39c79e9c4b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f39037fdcc0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#5  0x00007f39c7808d0e in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#6  0x00007f39c7809e51 in QThreadPrivate::start(void*) (arg=0x563312ede150) at thread/qthread_unix.cpp:329
#7  0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#8  0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 29 (Thread 0x7f3903fff640 (LWP 5414)):
#0  0x00007f39c5fd36b2 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f39ba9ff30b in  () at /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f39ba9fe7c7 in  () at /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 28 (Thread 0x7f391590d640 (LWP 5412)):
#0  0x00007f39c745a25c in read () at /lib64/libc.so.6
#1  0x00007f39c564c44f in  () at /usr/lib64/libglib-2.0.so.0
#2  0x00007f39c55ff98a in g_main_context_check () at /usr/lib64/libglib-2.0.so.0
#3  0x00007f39c55fffb5 in  () at /usr/lib64/libglib-2.0.so.0
#4  0x00007f39c560012f in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#5  0x00007f39c7a427fb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f3908000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007f39c79e9c4b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f391590cca0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#7  0x00007f39c7808d0e in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#8  0x00007f39c6a6b675 in  () at /usr/lib64/libQt5Qml.so.5
#9  0x00007f39c7809e51 in QThreadPrivate::start(void*) (arg=0x563312f76ea0) at thread/qthread_unix.cpp:329
#10 0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#11 0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 27 (Thread 0x7f391650e640 (LWP 5403)):
#0  0x00007f39c5fd36b2 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f39ba9ff30b in  () at /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f39ba9fe7c7 in  () at /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 26 (Thread 0x7f3917bff640 (LWP 5401)):
#0  0x00007f39c5fd36b2 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f39ba9ff30b in  () at /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f39ba9fe7c7 in  () at /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 25 (Thread 0x7f39252a8640 (LWP 5400)):
#0  0x00007f39c5fd36b2 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f39ba9ff30b in  () at /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f39ba9fe7c7 in  () at /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 24 (Thread 0x7f3925ea9640 (LWP 5399)):
#0  0x00007f39c5fd36b2 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f39ba9ff30b in  () at /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f39ba9fe7c7 in  () at /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 23 (Thread 0x7f3926dee640 (LWP 5397)):
#0  0x00007f39c5651124 in g_mutex_unlock () at /usr/lib64/libglib-2.0.so.0
#1  0x00007f39c55ffa6a in g_main_context_check () at /usr/lib64/libglib-2.0.so.0
#2  0x00007f39c55fffb5 in  () at /usr/lib64/libglib-2.0.so.0
#3  0x00007f39c560012f in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#4  0x00007f39c7a427fb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f3918000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007f39c79e9c4b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f3926dedca0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007f39c7808d0e in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007f39c6a6b675 in  () at /usr/lib64/libQt5Qml.so.5
#8  0x00007f39c7809e51 in QThreadPrivate::start(void*) (arg=0x56331198ec80) at thread/qthread_unix.cpp:329
#9  0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#10 0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 22 (Thread 0x7f3927fff640 (LWP 5395)):
#0  0x00007f39c745a25c in read () at /lib64/libc.so.6
#1  0x00007f39c564c44f in  () at /usr/lib64/libglib-2.0.so.0
#2  0x00007f39c55ff98a in g_main_context_check () at /usr/lib64/libglib-2.0.so.0
#3  0x00007f39c55fffb5 in  () at /usr/lib64/libglib-2.0.so.0
#4  0x00007f39c560012f in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#5  0x00007f39c7a427fb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f3920000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007f39c79e9c4b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f3927ffeca0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#7  0x00007f39c7808d0e in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#8  0x00007f39c6a6b675 in  () at /usr/lib64/libQt5Qml.so.5
#9  0x00007f39c7809e51 in QThreadPrivate::start(void*) (arg=0x56331181cf80) at thread/qthread_unix.cpp:329
#10 0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#11 0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 21 (Thread 0x7f39637fe640 (LWP 5382)):
#0  0x00007f39c5fd36b2 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f39ba9ff30b in  () at /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f39ba9fe7c7 in  () at /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 20 (Thread 0x7f3963fff640 (LWP 5381)):
#0  0x00007f39c5fd36b2 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f39ba9ff30b in  () at /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f39ba9fe7c7 in  () at /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 19 (Thread 0x7f398cff9640 (LWP 5380)):
#0  0x00007f39c5fd36b2 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f39ba9ff30b in  () at /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f39ba9fe7c7 in  () at /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 18 (Thread 0x7f398d7fa640 (LWP 5379)):
#0  0x00007f39c5fd36b2 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f39ba9ff30b in  () at /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f39ba9fe7c7 in  () at /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 17 (Thread 0x7f398dffb640 (LWP 5378)):
#0  0x00007f39c5fd36b2 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f39ba9ff30b in  () at /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f39ba9fe7c7 in  () at /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 16 (Thread 0x7f398e7fc640 (LWP 5377)):
#0  0x00007f39c5fd36b2 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f39ba9ff30b in  () at /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f39ba9fe7c7 in  () at /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 15 (Thread 0x7f398effd640 (LWP 5376)):
#0  0x00007f39c5fd36b2 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f39ba9ff30b in  () at /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f39ba9fe7c7 in  () at /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 14 (Thread 0x7f398f7fe640 (LWP 5375)):
#0  0x00007f39c5fd36b2 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f39ba9ff30b in  () at /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f39ba9fe7c7 in  () at /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 13 (Thread 0x7f398ffff640 (LWP 5374)):
#0  0x00007f39c5fd36b2 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f39ba9ff30b in  () at /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f39ba9fe7c7 in  () at /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 12 (Thread 0x7f39acb3c640 (LWP 5373)):
#0  0x00007f39c5fd36b2 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f39ba9ff30b in  () at /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f39ba9fe7c7 in  () at /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 11 (Thread 0x7f39ad33d640 (LWP 5372)):
#0  0x00007f39c5fd36b2 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f39ba9ff30b in  () at /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f39ba9fe7c7 in  () at /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 10 (Thread 0x7f39adb3e640 (LWP 5371)):
#0  0x00007f39c5fd36b2 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f39ba9ff30b in  () at /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f39ba9fe7c7 in  () at /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 9 (Thread 0x7f39ae33f640 (LWP 5370)):
#0  0x00007f39c5fd36b2 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f39ba9ff30b in  () at /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f39ba9fe7c7 in  () at /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 8 (Thread 0x7f39aeb40640 (LWP 5369)):
#0  0x00007f39c5fd36b2 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f39ba9ff30b in  () at /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f39ba9fe7c7 in  () at /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 7 (Thread 0x7f39b8972640 (LWP 5368)):
#0  0x00007f39c5fd36b2 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f39ba9ff30b in  () at /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f39ba9fe7c7 in  () at /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 6 (Thread 0x7f39b9173640 (LWP 5367)):
#0  0x00007f39c5fd36b2 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f39ba9ff30b in  () at /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f39ba9fe7c7 in  () at /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 5 (Thread 0x7f39b9974640 (LWP 5366)):
#0  0x00007f39c5fd36b2 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f39ba9ff30b in  () at /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f39ba9fe7c7 in  () at /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 4 (Thread 0x7f39ba2eb640 (LWP 5365)):
#0  0x00007f39c5fd36b2 in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f39ba9ff30b in  () at /usr/lib64/dri/radeonsi_dri.so
#2  0x00007f39ba9fe7c7 in  () at /usr/lib64/dri/radeonsi_dri.so
#3  0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#4  0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 3 (Thread 0x7f39c1392640 (LWP 5364)):
#0  0x00007f39c55ffff7 in  () at /usr/lib64/libglib-2.0.so.0
#1  0x00007f39c560012f in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#2  0x00007f39c7a427fb in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x7f39b4000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#3  0x00007f39c79e9c4b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7f39c1391c70, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#4  0x00007f39c7808d0e in QThread::exec() (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#5  0x00007f39c66db7c7 in  () at /usr/lib64/libQt5DBus.so.5
#6  0x00007f39c7809e51 in QThreadPrivate::start(void*) (arg=0x7f39c6749420) at thread/qthread_unix.cpp:329
#7  0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#8  0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 2 (Thread 0x7f39c2a52640 (LWP 5363)):
#0  0x00007f39c745e83f in poll () at /lib64/libc.so.6
#1  0x00007f39c6014862 in  () at /usr/lib64/libxcb.so.1
#2  0x00007f39c601626c in xcb_wait_for_event () at /usr/lib64/libxcb.so.1
#3  0x00007f39c2c57fb0 in  () at /usr/lib64/libQt5XcbQpa.so.5
#4  0x00007f39c7809e51 in QThreadPrivate::start(void*) (arg=0x563310f03700) at thread/qthread_unix.cpp:329
#5  0x00007f39c5fcd3e9 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f39c7469943 in clone () at /lib64/libc.so.6

Thread 1 (Thread 0x7f39c4b34840 (LWP 5361)):
[KCrash Handler]
#4  std::__atomic_base<int>::operator++() (this=this@entry=0x30) at /usr/include/c++/10/bits/atomic_base.h:325
#5  QAtomicOps<int>::ref<int>(std::atomic<int>&) (_q_value=...) at ../../include/QtCore/../../src/corelib/thread/qatomic_cxx11.h:283
#6  QBasicAtomicInteger<int>::ref() (this=this@entry=0x30) at ../../include/QtCore/../../src/corelib/thread/qbasicatomic.h:118
#7  QThreadData::ref() (this=this@entry=0x30) at thread/qthread.cpp:111
#8  0x00007f39c7a183fe in QObjectPrivate::connectImpl(QObject const*, int, QObject const*, void**, QtPrivate::QSlotObjectBase*, Qt::ConnectionType, int const*, QMetaObject const*) (sender=0x5633131d2bf0, signal_index=10, receiver=0x563311b1e4c0, slot=0x7fff16d502d0, slotObj=0x563314435270, type=Qt::AutoConnection, types=0x0, senderMetaObject=0x7f39c654a760 <QNetworkReply::staticMetaObject>) at kernel/qobject.cpp:5054
#9  0x00007f39c7a18925 in QObject::connectImpl(QObject const*, void**, QObject const*, void**, QtPrivate::QSlotObjectBase*, Qt::ConnectionType, int const*, QMetaObject const*) (sender=sender@entry=0x5633131d2bf0, signal=signal@entry=0x7fff16d502c0, receiver=receiver@entry=0x563311b1e4c0, slot=slot@entry=0x7fff16d502d0, slotObj=0x563314435270, type=Qt::AutoConnection, types=0x0, senderMetaObject=<optimized out>) at kernel/qobject.cpp:5001
#10 0x00007f39c65ecf46 in QObject::connect<void (QNetworkReply::*)(), void (Attica::BaseJob::*)()>(QtPrivate::FunctionPointer<void (QNetworkReply::*)()>::Object const*, void (QNetworkReply::*)(), QtPrivate::FunctionPointer<void (Attica::BaseJob::*)()>::Object const*, void (Attica::BaseJob::*)(), Qt::ConnectionType) (type=Qt::AutoConnection, slot=(void (Attica::BaseJob::*)(Attica::BaseJob * const)) 0x7f39c65f0950 <Attica::BaseJob::dataFinished()>, receiver=0x563311b1e4c0, signal=(void (QNetworkReply::*)(QNetworkReply * const)) 0x7f39c64e9f80 <QNetworkReply::finished()>, sender=0x5633131d2bf0) at /usr/include/qt5/QtCore/qobject.h:242
#11 Attica::BaseJob::doWork() (this=0x563311b1e4c0) at /usr/src/debug/attica-qt5-5.76.0-1.1.x86_64/src/atticabasejob.cpp:131
#12 0x00007f39c7a172b1 in QObject::event(QEvent*) (this=0x563311b1e4c0, e=0x563311af2050) at kernel/qobject.cpp:1314
#13 0x00007f39c868950f in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=<optimized out>, receiver=0x563311b1e4c0, e=0x563311af2050) at kernel/qapplication.cpp:3632
#14 0x00007f39c79eb28a in QCoreApplication::notifyInternal2(QObject*, QEvent*) (receiver=0x563311b1e4c0, event=0x563311af2050) at ../../include/QtCore/5.15.2/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:325
#15 0x00007f39c79edcc1 in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (receiver=0x0, event_type=0, data=0x563310ef0770) at kernel/qcoreapplication.cpp:1817
#16 0x00007f39c7a43153 in postEventSourceDispatch(GSource*, GSourceFunc, gpointer) (s=0x563311066c80) at kernel/qeventdispatcher_glib.cpp:277
#17 0x00007f39c55ffcf7 in g_main_context_dispatch () at /usr/lib64/libglib-2.0.so.0
#18 0x00007f39c5600078 in  () at /usr/lib64/libglib-2.0.so.0
#19 0x00007f39c560012f in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#20 0x00007f39c7a427df in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x5633110a37d0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#21 0x00007f39c79e9c4b in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7fff16d506e0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#22 0x00007f39c79f1ec0 in QCoreApplication::exec() () at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#23 0x0000563310421003 in main(int, char**) (argc=<optimized out>, argv=0x7fff16d50800) at /usr/src/debug/systemsettings5-5.20.3-1.1.x86_64/app/main.cpp:209
[Inferior 1 (process 5361) detached]

The reporter indicates this bug may be a duplicate of or related to bug 389811.

Possible duplicates by query: bug 428170, bug 427609, bug 425205, bug 422533, bug 411883.

Reported using DrKonqi
Comment 1 Dan Leinir Turthra Jensen 2020-12-03 14:57:41 UTC
At any rate, i can confirm this happens. Now i just need to work out what in the world is actually the cause, because this is a mightily confusing backtrace... Thanks for spotting it :)
Comment 2 Nate Graham 2020-12-03 19:37:46 UTC
Fixed in Frameworks 5.77.

*** This bug has been marked as a duplicate of bug 427974 ***
Comment 3 Dan Leinir Turthra Jensen 2020-12-07 11:54:53 UTC
This is unfortunately not the same bug as 427974, but luckily i've got a patch submitted to fix it :) https://invent.kde.org/frameworks/attica/-/merge_requests/6
Comment 4 Dan Leinir Turthra Jensen 2020-12-15 12:41:47 UTC
Reassigning to the correct product (also please test the patch ;) )
Comment 5 Dan Leinir Turthra Jensen 2020-12-15 12:54:36 UTC
(also this reassigned the assignee, sorry about the noise)
Comment 6 Dan Leinir Turthra Jensen 2020-12-18 09:10:39 UTC
Git commit 6156b2a968664c4e08efbc72e5acea9f1e2ffa22 by Dan Leinir Turthra Jensen.
Committed on 18/12/2020 at 09:10.
Pushed by leinir into branch 'master'.

Honour the job being aborted immediately

Occasionally, a job will be started and then immediately cancelled. This
can cause the job to end up still attempting to run while it is in the
process of being destructed, which in turn leads to accessing bits of
data which are no longer available, and in the end a crash. This fixes
that problem by ensuring we actually honour abort calls internally as
well.

Also adds a little test for listing content, and for switching the sort order.

FIXED-IN:5.78

M  +60   -2    autotests/providertest.cpp
M  +5    -0    src/atticabasejob.cpp

https://invent.kde.org/frameworks/attica/commit/6156b2a968664c4e08efbc72e5acea9f1e2ffa22